{% extends "customers/base.html" %}
{% load i18n %}
{% load widget_tweaks %}

{% block title %}Cobranza para {% trans 'service' %} #{{ service.number }}{% endblock %}

{% block page %}
<section class="page-container">
  <div class="page-header clearfix">
    <div class="pull-left">
      <h1 class="mt-0 mb-5">Cobranza para {% trans 'service' %} #{{ service.number }}</h1>
      <h2 class="widget-title text-muted mb-10">Añadir pago manual</h2>
      <ol class="breadcrumb mb-0">
        <li><a href="/">Matrix</a></li>
        <li><a href="/customers/">Clientes</a></li>
        <li><a href="/customers/collect/">Cobranza</a></li>
        <li class="active"><a href="/customers/collect/{{ service.number }}/">#{{ service.number }}</a></li>
      </ol>
    </div>
  </div>
  <div class="page-content container-fluid">
    {% if service.is_active %}
    <p>El service <a href="{% url 'service-update' service.number %}">#{{ service.number }}</a> de <a href="{% url 'customer-update' service.customer.pk %}">{{ service.customer }}</a> tiene impago: </p>
    
    <div class="col-md-9">
      <table id="invoice-list" cellspacing="0" width="100%" class="table table-hover dt-responsive nowrap">
        <thead>
          <tr>
            <th>ID</th>
            <th>Tipo</th>
            <th>{% trans 'service' as tr_service %}{{ tr_service|capfirst }}</th>
            <th>Fecha de vencimiento</th>
            <th>Total</th>
            <th>Pagado</th>
          </tr>
        </thead>
        <tbody>
	  {% for invoice in invoices %}
	  <tr>
	    <td><a href="{% url 'invoice-detail' pk=invoice.pk %}">{{ invoice.pk }}</a></td>
	    <td><a href="{% url 'invoice-detail' pk=invoice.pk %}">Boleta</a></td>
	    <td><a href="{% url 'service-update' slug=invoice.service.number %}">{{ invoice.service.number }}</a></td>
	    <td>{{ invoice.due_date }}</td>
	    <td>${{ invoice.total }}</td>
	    <td>{{ invoice.paid_on|default:"No" }}</td>
	  </tr>
	  {% endfor %}
        </tbody>
      </table>
    </div>

    <div class="col-md-3">
      <div class="widget">
	<div class="widget-heading">
	  <h3 class="panel-title">Añadir pago manual</h3>
	</div>
	<div class="widget-body">
	  <form method="post">
	    {% csrf_token %}

      {% for field in form %}

      
	    <div class="form-group row m-b-15">
              <label for="id_{{ field.html_name }}" class="col-form-label col-md-3">{{ field.label }}</label>
              <div class="col-sm-9">
                  {% render_field field class="form-control m-b-5" %}
                  {% for error in field.errors %}
                  <small class="f-s-12 text-danger">{{ error }}</small>
                  {% endfor %}
              </div>
	      
	    </div>
	    {% endfor %}

	    <input type="submit" value="Guardar" class="btn btn-md btn-danger">
	  </form>
	</div>
      </div>
    </div>
    {% else %}
    <p>Este {% trans 'service' %} no tiene cobranza pendiente.</p>
    <a href="{% url 'collect' %}" class="btn btn-md btn-default btn-raised">Volver</a>
    {% endif %}
  </div>
</section>
<!-- Work Here end-->
{% endblock page %}
